Skip to main content
GET
/
v1
/
account-agreements
List Account Agreements
curl --request GET \
  --url https://api.dispersed.com/v1/account-agreements
{
  "data": [
    {
      "accepted_at": "2023-11-07T05:31:56Z",
      "ip_address": "<string>",
      "user_agent": "<string>",
      "object": "account_agreement",
      "created_at": "2023-11-07T05:31:56Z",
      "uuid": "<string>",
      "account_uuid": "<string>",
      "agreement_uuid": "<string>",
      "accepted_by_account_uuid": "<string>"
    }
  ],
  "limit": 123,
  "page": 123,
  "total": 123
}

Query Parameters

limit
integer
Required range: 1 <= x <= 50
Example:

1

page
integer
Required range: 1 <= x <= 9007199254740991
Example:

1

sort
string
Example:

"created_at OR -created_at"

filter[account_uuid]
string<uuid>
filter[agreement_uuid]
string<uuid>

Response

List of account agreement acceptances

data
object[]
required
limit
integer
required
page
integer
required
total
integer
required